﻿Imports System.Globalization

Namespace Petzold.Controls
    Public Class DayInfo
        ' 1 through 28, 29, 30, 31
        Private _DayNumber As Integer
        Public Property DayNumber() As Integer
            Get
                Return _DayNumber
            End Get
            Set(ByVal value As Integer)
                _DayNumber = value
            End Set
        End Property

        Private _Year As Integer
        Public Property Year() As Integer
            Get
                Return _Year
            End Get
            Set(ByVal value As Integer)
                _Year = value
            End Set
        End Property
        Private _Month As Integer
        Public Property Month() As Integer
            Get
                Return _Month
            End Get
            Set(ByVal value As Integer)
                _Month = value
            End Set
        End Property

        Public ReadOnly Property DayOfWeek() As String
            Get
                Return DateTimeFormatInfo.CurrentInfo.DayNames(CInt(Fix(New Date(Year, Month, DayNumber).DayOfWeek)))
            End Get
        End Property

        Public Overrides Function ToString() As String
            Return String.Format("{0} {1}", DayNumber, DayOfWeek)
        End Function
    End Class
End Namespace
