﻿Imports System.Globalization

Namespace Petzold.Controls
    Public Class MonthInfo
        ' 1 through 12
        Private _MonthNumber As Integer
        Public Property MonthNumber() As Integer
            Get
                Return _MonthNumber
            End Get
            Set(ByVal value As Integer)
                _MonthNumber = value
            End Set
        End Property

        Public ReadOnly Property MonthName() As String
            Get
                Return DateTimeFormatInfo.CurrentInfo.MonthNames(MonthNumber - 1)
            End Get
        End Property

        Public Overrides Function ToString() As String
            Return MonthName
        End Function
    End Class
End Namespace
